Re: Use of maintainer mode in GNOME modules

On Thu, 2011-09-15 at 09:50 -0400, Ryan Lortie wrote:
> We're currently suffering because
> gnome-common also ties maintainer mode to the enabling of deprecation
> checks and we're not sure we want these to be enabled by default for
> casual tarball downloaders.

This is not a problem experienced by gtkmm and friends. Our modules
never enable warnings or deprecations in the tarball builds. We have our
own separate --enable-warnings option for that:
We don't use gnome-common.

We tried to add something similar to gnome-common, though I don't
personally find it flexible enough:

No packager has mentioned any problem with gtkmm and friends. On the
contrary, they are glad that we have this "maintainer mode" that reduces
the work of a packager, and that they can turn it off if necessary. We
get bug reports when it doesn't work. So please don't break our modules.
We will revert it if you do. We welcome corrections that don't break

murrayc murrayc com

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]